Subject: RE: ARC + COND

From: Randy Presuhn <[email-masked]>
Date: Thu, 22 Mar 2001 11:38:09 -0800 (PST)

Hi -

> Message-ID: <76B2C11F0337D3118A670008C7F9DBC703BB4FC0@OH0012EXCH002U>
> From: "Thomas, Steven C (Steve)" <[email-masked]>
> To: "'Lauren Heintz'" <[email-masked]>,
>         Randy Presuhn
> 	 <[email-masked]>
> Cc: [email-masked]
> Subject: RE: ARC + COND
> Date: Thu, 22 Mar 2001 13:42:20 -0500
...
> Lauren wrote:
> Regarding the capability for temporarily disabling
> alarm notifications (perhaps during periods of installation
> and/or fault correction), I think typical users will want to
> at least have a VERY SIMPLE way of turning off alarms (i.e.
> a single TruthValue) that MUST be in the alarm MIB if
> they opt not to support the ARC and COND MIBs.
> 
> My comments:
> I agree.  I see a need for a very simple mechanism for turning off  or
> screening alarm reports.  The needs that I have seen have largely been
> driven by the manager side, and so doesn't know/care about the sub-agent
> setup.  

There is NO proposal to make subagent structure visible here.
The whole point of the subagent technologies is that management
systems do not need to be aware of them.

The requirement that I have heard is that the control is
closely associated with the managed resource in some way.
Current MIBs do this with a dedicated object in the specific
MIB.  For ARC, the proposal is to use a table with generic
objects.  If the indexing is done correctly, such objects could
be implemented in both monolithic and subagent environments.

>         Their solution has been to have a single value (representing
> severity level) that indicates which alarms to report on and which to not
> report on.  

What is meant here by "report on"?
 1 Make entries in an active alarm table?
 2 Generate Log records?
 3 Issue INFORM / TRAP Pdus?

>             The implementations have kept the alarms in the active alarm
> list and alarm logs, but haven't reported them.  

ok, I'll assume you mean (3) from above...

This depends on how the RFC 2573 filters are configured.
If a filter can be set up to log a particular kind of
notification, it should be possible to configuration of a
target to which a corresponding TRAP or INFORM might be sent.

>                                                  When the manager requests
> the agent to scale back alarm reporting, then they have started/increased
> polling on the alarm table.
> 
> I would like to have a very simple mechanism that I can recommend and push
> with our agent and management development efforts.
...

And the proposal is?

 -------------------------------------------------------
 Randy Presuhn           [email-masked]
 Voice: +1 408 546-1006  BMC Software, Inc.  1-3141
 Fax:   +1 408 965-0359  2141 North First Street
 http://www.bmc.com/     San José, California 95131  USA
 -------------------------------------------------------
 My opinions and BMC's are independent variables.
 -------------------------------------------------------